Skip to main content
GET
/
team
/
{team}
/
service-points
/
{uuid}
Get service point by UUID
curl --request GET \
  --url https://app.smartsend.io/api/v2/team/{team}/service-points/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "carrier": {
      "code": "<string>",
      "name": "<string>",
      "logo_url": "<unknown>",
      "icon_url": "<unknown>"
    },
    "code": "<string>",
    "name": "<string>",
    "type": "post_office",
    "address": {
      "address_lines": "<unknown>",
      "postal_code": "<unknown>",
      "city": "<string>",
      "country": "<string>",
      "administrative_area": "<unknown>"
    },
    "coordinates": {
      "latitude": 123,
      "longitude": 123
    },
    "opening_hours": "<unknown>",
    "distance": "<unknown>",
    "distance_unit": "m"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.

Example:

"da-DK, da;q=0.9, en;q=0.8"

Request-ID
string

Any value passed in this request will be returned in the same header. This can be used to correlate requests between client and server.

Required string length: 1 - 128

Path Parameters

team
string
required

Team identifier. All resources are scoped to this team.

Minimum string length: 1
Example:

"ad9546c1-393e-49a5-9a72-5cc146c9bec5"

uuid
string<uuid>
required

Internal UUID of the service point

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Service point retrieved successfully

data
object
required